curl --request PATCH \
--url https://api.coval.dev/v1/scheduled-runs/{scheduled_run_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"enabled": false
}
'{
"scheduled_run": {
"name": "scheduled-runs/xyz789uvw456rst123abcd",
"created_at": "2025-10-14T12:00:00Z",
"created_by": "01J000000000000000000000001",
"updated_at": "2025-10-15T15:00:00Z",
"updated_by": "01J000000000000000000000002",
"id": "xyz789uvw456rst123abcd",
"display_name": "Hourly Health Check",
"run_template_id": "abc123def456ghi789jklm",
"schedule_expression": "rate(1 hour)",
"schedule_timezone": "UTC",
"enabled": true,
"last_run_at": "2025-10-15T14:15:00Z",
"last_run_id": "8EktrIgaVxn9LfxkIynagX",
"create_time": "2025-10-14T12:00:00Z",
"update_time": "2025-10-15T15:00:00Z"
}
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request parameter",
"details": [
{
"field": "schedule_expression",
"description": "Must be 'rate(...)' or 'cron(...)' format"
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Scheduled run not found",
"details": [
{
"field": "scheduled_run_id",
"description": "Scheduled run not found or not accessible by your organization"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}Scheduled Runs
Update scheduled run
Update specific fields of an existing scheduled run.
Common use cases:
- Enable/disable a schedule:
{"enabled": false} - Change the schedule frequency:
{"schedule_expression": "rate(1 hour)"} - Update the run template:
{"run_template_id": "new_template_id"}
PATCH
/
scheduled-runs
/
{scheduled_run_id}
curl --request PATCH \
--url https://api.coval.dev/v1/scheduled-runs/{scheduled_run_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"enabled": false
}
'{
"scheduled_run": {
"name": "scheduled-runs/xyz789uvw456rst123abcd",
"created_at": "2025-10-14T12:00:00Z",
"created_by": "01J000000000000000000000001",
"updated_at": "2025-10-15T15:00:00Z",
"updated_by": "01J000000000000000000000002",
"id": "xyz789uvw456rst123abcd",
"display_name": "Hourly Health Check",
"run_template_id": "abc123def456ghi789jklm",
"schedule_expression": "rate(1 hour)",
"schedule_timezone": "UTC",
"enabled": true,
"last_run_at": "2025-10-15T14:15:00Z",
"last_run_id": "8EktrIgaVxn9LfxkIynagX",
"create_time": "2025-10-14T12:00:00Z",
"update_time": "2025-10-15T15:00:00Z"
}
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request parameter",
"details": [
{
"field": "schedule_expression",
"description": "Must be 'rate(...)' or 'cron(...)' format"
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Scheduled run not found",
"details": [
{
"field": "scheduled_run_id",
"description": "Scheduled run not found or not accessible by your organization"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}Authorizations
API key for authentication
Headers
Workspace that scopes this operation. When omitted, the organization's active default workspace is used when one can be resolved.
Required string length:
1 - 26Path Parameters
Scheduled run resource ID
Pattern:
^[A-Za-z0-9]{22}$Body
application/json
Partial update request (PATCH semantics - only provided fields are updated)
Human-readable schedule name
Required string length:
1 - 200Example:
"Updated Schedule Name"
Run template to execute
Pattern:
^[A-Za-z0-9]{22}$Example:
"abc123def456ghi789jklm"
Schedule expression in rate or cron format
Maximum string length:
200Example:
"rate(1 hour)"
IANA timezone for cron expressions
Maximum string length:
100Example:
"UTC"
Enable or disable the schedule
Example:
false
Response
Scheduled run updated successfully
Scheduled run configuration resource.
Show child attributes
Show child attributes
Was this page helpful?